### Method

# Hex Widget insert_autohighlight

#### Declaration

    HexWidgetAutoHighlight*
    hex_widget_insert_autohighlight (
      HexWidget* gh,
      const char* search,
      int len
    )

#### Description

Insert an auto-highlight of a given search string.

#### Parameters

`search`

  Type: An array of `gint8`

  Search string to auto-highlight.

  The length of the array is specified in the `len` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`len`

  Type: `int`

  Length of the `search` string.

#### Return value

Type: `HexWidgetAutoHighlight`

A newly created `HexWidgetAutoHighlight` structure, owned by the `HexWidget`.

The returned data is owned by the instance.